RIGCTL(1)

NAME
rigmem - backup and restore memory of radio transceivers and receivers

SYNOPSIS
rigmem [OPTION]... [COMMAND]...

DESCRIPTION
Backup and restore memory of radio transceivers and receivers. rigmem accepts commands from command line only.

Keep in mind that Hamlib is still BETA level software. A lof of stuff hasn't been tested thoroughly, and the API may change without publicised notice. Please report bugs and feedback at the e-mail address given in the REPORTING BUGS section.

OPTIONS
This program follow the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.

-m, --model=id
    Select radio model number. See model list, as reported by rigctl.

-r, --rig-file=device
    Use device as the file name of the radio to operate on.

-s, --serial-speed=baud
    Set serial speed to baud rate. Uses maximal rig speed as default.

-c, --civaddr=id
    Use id as the CI-V address to communicate with the rig. Only for Icom rigs. NB: the id is in decimal, unless prefixed by 0x, in which case it is hexadecimal.

-C, --set-conf=parm=val[,parm=val]*
    Set config parameter.

-x, --xml
    Use XML format instead of CSV, if libxml2 is available.

-v, --verbose
    Set verbose mode, cumulative (BUG, ERR, WARN, VERBOSE, TRACE).

-h, --help
    Show summary of options and exit.

-V, --version
    Show version of program and exit.

COMMANDS
Backup and restore are supported for basic CSV file and XML format where available.

Please note that the backend for the radio to be controlled, or the radio itself may not support some commands. In that case, the operation will fail with a standard error message.

A summary of commands is included below.

save
    Save all the content of memory in a CSV (or XML) file given as argument to the command.

load
    Load the content into all the memory from a CSV (or XML) file given as argument to the command.

save_parm
    Save all the parameters of the radio in a CSV (or XML) file given as argument to the command.

load_parm
    Load the parameters of the radio from a CSV (or XML) file given as argument to the command.

clear
    Very DANGEROUS command, as it will completly clear out everything you have programmed in the memory of you radio. ALL DATA WILL BE LOST. Use at your own risks!

RETURN VALUE
rigmem exits with: 0 if all operations went fine; 1 if there was an invalid command line option or arg; or 2 if an error was returned by Hamlib.

AUTHOR
Man page written by Stephane Fillod.

BUGS
This almost empty section...

REPORTING BUGS
Report bugs to <hamlib-developer@users.sourceforge.net>.
I'm already aware of the bug in the previous section :-)

COPYRIGHT
Copyright © 2000-2006 Stephane Fillod.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
hamlib(3),rigctl(1)